# Selfhost of Services

Hosting the following web services using docker-compose.

* [Nextcloud](https://nextcloud.com/)
* [Gitea](https://gitea.io/)
* [Wallabag](https://www.wallabag.it)
* Small HTML-Site

As a reverse proxyy [Traefik](https://traefik.io/traefik/) is used. Traefik also secures all Services with TLS and redirects all HTTP requests to HTTPS. SSL certificates are automatically generated using [Let's Encrypt](https://letsencrypt.org/)

## Deploy it
1. [Install Docker](https://docs.docker.com/engine/install/debian/)
1. [Install Docker-compose](https://docs.docker.com/compose/install/)
1. Clone this repository
1. create .env file in each folder and set environment variables 
1. cd into folder
1. docker-compose up -d 

## Links: 
* [Nextcloud docker](https://github.com/nextcloud/docker/)
* [Gitea Doku: Install with Docker](https://docs.gitea.io/en-us/install-with-docker/)
* [Docker Swarm Rocks](https://dockerswarm.rocks/)
